Records (or updates) a per-region residency attestation.
POST
/v1/m/compliance/residency
const url = 'https://example.com/v1/m/compliance/residency';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"data_classes":["example"],"encryption_at_rest":true,"note":"example","perimeter":"example","region":"example","self_hosted":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/compliance/residency \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "data_classes": [ "example" ], "encryption_at_rest": true, "note": "example", "perimeter": "example", "region": "example", "self_hosted": true }'Records (or updates) a per-region residency attestation.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
data_classes
Array<string>
encryption_at_rest
boolean
note
string
perimeter
string
region
required
string
self_hosted
boolean
Example generated
{ "data_classes": [ "example" ], "encryption_at_rest": true, "note": "example", "perimeter": "example", "region": "example", "self_hosted": true}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}